package com.xhkjedu.smarking.controller.stupaper;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionMerge;
import com.xhkjedu.smarking.service.stupaper.MsPaperStudentQuestionMergeService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷学生合并后试题表相关操作
 * @Author auto
 * @Date 2024-10-15
 */
@RestController
@RequestMapping("/msPaperStudentQuestionMerge")
public class MsPaperStudentQuestionMergeController {
    @Resource
    private MsPaperStudentQuestionMergeService msPaperStudentQuestionMergeService;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestionMerge]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/save")
    public ResultVo save(@RequestBody MsPaperStudentQuestionMerge msPaperStudentQuestionMerge) {
        msPaperStudentQuestionMergeService.add(msPaperStudentQuestionMerge);
        return new ResultVo(0, "保存成功！");
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentQuestionMerge]
     * @Author auto
     * @Date 2024-10-15
     * @return com.xhkjedu.vo.ResultVo
     **/
    @PostMapping("/list")
    public ResultVo queryList(@RequestBody MsPaperStudentQuestionMerge msPaperStudentQuestionMerge) {
        Integer page = msPaperStudentQuestionMerge.getPage();
        Integer size = msPaperStudentQuestionMerge.getPageSize();
        N_Utils.validation(new Object[]{page, "显示页码", 1, size, "显示条数", 1});
        PageHelper.startPage(page, size);
        List<MsPaperStudentQuestionMerge> list = msPaperStudentQuestionMergeService.queryList(msPaperStudentQuestionMerge);
        PageResult pageResult = PageUtil.getPageResult(new PageInfo<>(list));
        return new ResultVo(0, "查询成功！", pageResult);
    }
}
