package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷模板题块定客观题表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_template_block_question")
public class MsTemplateBlockQuestion extends BaseBean {
    @Id
    //阅卷模板题块定客观题ID
    private Integer mtbqid;
    //客观题定位区ID
    private Integer mtbid;
    //题号
    private String qn;
    //定位坐标
    private String localcoor;

    @Transient
    private Integer bqorder; //题号/合并后名称
}
