package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷试卷学生合并后试题表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_student_question_merge")
public class MsPaperStudentQuestionMerge extends BaseBean {
    @Id
    //阅卷试卷学生合并后试题ID
    private Integer mpsqmid;
    //学生ID
    private Integer studentid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //试卷ID
    private Integer mpid;
    //试卷学生ID
    private Integer mpsid;
    //题块试题ID
    private Integer mbqid;
    //处理题型
    private Integer ctype;
    //试题id
    private String questionid;
    //题号
    private String qn;
    //试题排序
    private Integer qorder;
    //是否作答0未作答1已作做答
    private Integer answered;
    //答案类型1选择题2图片3纯文本
    private Integer answertype;
    //学生答案
    private String stuanswer;
    //是否转换0未转换1已转换2转换失败
    private Integer converted;
    //提交时间
    private Integer answertime;
    //单题用时(秒)
    private Integer costtime;
    //试题分值
    private Double qscore;
    //学生得分
    private Double stuscore;
    //是否批改0未批改1批改中2已批改
    private Integer checked;
    //单评批改人
    private Integer firstcid;
    //单评批改时间
    private Integer firstcime;
    //单评批改分值
    private Double firstccore;
    //复评批改人
    private Integer secondcid;
    //复评批改时间
    private Integer secondctime;
    //复评批改分值
    private Double secondcscore;
    //仲裁人
    private Integer arbitrateid;
    //仲裁时间
    private Integer arbitratetime;
    //仲裁分值
    private Double arbitratescore;
    //优秀试卷0默认1优秀
    private Integer hasgood;
    //违纪试卷0默认1违纪
    private Integer hasbad;
    //疑难0默认1疑难
    private Integer hasproblem;
    //疑难类型1图形模糊2答题错位3没有图像4图像颠倒5其他问题
    private Integer problemtype;
    //疑难备注
    private String problemcomm;
}
