package com.xhkjedu.smarking.service.papercheck;

import com.xhkjedu.smarking.mapper.papercheck.MsPaperCheckMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheck;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷阅卷方式表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperCheckService {
    @Resource
    private MsPaperCheckMapper msPaperCheckMapper;

    /**
     * @Description 新增
     * @Param [msPaperCheck]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperCheck msPaperCheck){
        msPaperCheckMapper.insert(msPaperCheck);
    }

    /**
     * @Description 列表
     * @Param [msPaperCheck]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.papercheck.MsPaperCheck>
     **/
    public List<MsPaperCheck> queryList(MsPaperCheck msPaperCheck){
        return msPaperCheckMapper.selectAll();
    }
}
