package com.xhkjedu.smarking.service.papercheck;

import com.xhkjedu.smarking.mapper.papercheck.MsPaperCheckTeacherMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacher;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷批阅分配教师表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperCheckTeacherService {
    @Resource
    private MsPaperCheckTeacherMapper msPaperCheckTeacherMapper;

    /**
     * @Description 新增
     * @Param [msPaperCheckTeacher]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperCheckTeacher msPaperCheckTeacher){
        msPaperCheckTeacherMapper.insert(msPaperCheckTeacher);
    }

    /**
     * @Description 列表
     * @Param [msPaperCheckTeacher]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacher>
     **/
    public List<MsPaperCheckTeacher> queryList(MsPaperCheckTeacher msPaperCheckTeacher){
        return msPaperCheckTeacherMapper.selectAll();
    }
}
