package com.xhkjedu.smarking.service.scan;

import com.xhkjedu.smarking.mapper.scan.MsScanbatchPaperMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 批阅扫描试卷表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsScanbatchPaperService {
    @Resource
    private MsScanbatchPaperMapper msScanbatchPaperMapper;

    /**
     * @Description 新增
     * @Param [msScanbatchPaper]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsScanbatchPaper msScanbatchPaper){
        msScanbatchPaperMapper.insert(msScanbatchPaper);
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaper]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.scan.MsScanbatchPaper>
     **/
    public List<MsScanbatchPaper> queryList(MsScanbatchPaper msScanbatchPaper){
        return msScanbatchPaperMapper.selectAll();
    }
}
