package com.xhkjedu.smarking.service.scan;

import com.xhkjedu.smarking.mapper.scan.MsScanbatchMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatch;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷答题卡扫描批次表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsScanbatchService {
    @Resource
    private MsScanbatchMapper msScanbatchMapper;

    /**
     * @Description 新增
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsScanbatch msScanbatch){
        msScanbatchMapper.insert(msScanbatch);
    }

    /**
     * @Description 列表
     * @Param [msScanbatch]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.scan.MsScanbatch>
     **/
    public List<MsScanbatch> queryList(MsScanbatch msScanbatch){
        return msScanbatchMapper.selectAll();
    }
}
