package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentQuestionMergeMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionMerge;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷学生合并后试题表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentQuestionMergeService {
    @Resource
    private MsPaperStudentQuestionMergeMapper msPaperStudentQuestionMergeMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestionMerge]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperStudentQuestionMerge msPaperStudentQuestionMerge){
        msPaperStudentQuestionMergeMapper.insert(msPaperStudentQuestionMerge);
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentQuestionMerge]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionMerge>
     **/
    public List<MsPaperStudentQuestionMerge> queryList(MsPaperStudentQuestionMerge msPaperStudentQuestionMerge){
        return msPaperStudentQuestionMergeMapper.selectAll();
    }
}
