package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷批阅教师常用分设置表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_check_teacher_scoreset")
public class MsPaperCheckTeacherScoreset extends BaseBean {
    @Id
    //阅卷批阅教师常用分设置ID
    private Integer mpctsid;
    //考试ID
    private Integer examid;
    //教师ID
    private Integer teacherid;
    //是否自动提交0否1是
    private Integer hasauto;
    //设置步长
    private Double scoreway;
    //特定分数
    private String specialscore;
    //创建时间
    private Integer createtime;
}
