package com.xhkjedu.smarking.service.exam;

import com.xhkjedu.smarking.mapper.exam.MsSubjectBadstudentMapper;
import com.xhkjedu.smarking.model.exam.MsSubjectBadstudent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷科目违规学生表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsSubjectBadstudentService {
    @Resource
    private MsSubjectBadstudentMapper msSubjectBadstudentMapper;

    /**
     * @Description 新增
     * @Param [msSubjectBadstudent]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsSubjectBadstudent msSubjectBadstudent){
        msSubjectBadstudentMapper.insert(msSubjectBadstudent);
    }

    /**
     * @Description 列表
     * @Param [msSubjectBadstudent]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.exam.MsSubjectBadstudent>
     **/
    public List<MsSubjectBadstudent> queryList(MsSubjectBadstudent msSubjectBadstudent){
        return msSubjectBadstudentMapper.selectAll();
    }
}
