package com.xhkjedu.smarking.service.paper;

import com.xhkjedu.smarking.mapper.paper.MsPaperFileMapper;
import com.xhkjedu.smarking.model.paper.MsPaperFile;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷附件表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperFileService {
    @Resource
    private MsPaperFileMapper msPaperFileMapper;

    /**
     * @Description 新增
     * @Param [msPaperFile]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperFile msPaperFile){
        msPaperFileMapper.insert(msPaperFile);
    }

    /**
     * @Description 列表
     * @Param [msPaperFile]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.paper.MsPaperFile>
     **/
    public List<MsPaperFile> queryList(MsPaperFile msPaperFile){
        return msPaperFileMapper.selectAll();
    }
}
