package com.xhkjedu.smarking.service.scan;

import com.xhkjedu.smarking.mapper.scan.MsScanbatchPaperBlockQuestionMapper;
import com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlockQuestion;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷扫描试卷题块试题识别表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsScanbatchPaperBlockQuestionService {
    @Resource
    private MsScanbatchPaperBlockQuestionMapper msScanbatchPaperBlockQuestionMapper;

    /**
     * @Description 新增
     * @Param [msScanbatchPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsScanbatchPaperBlockQuestion msScanbatchPaperBlockQuestion){
        msScanbatchPaperBlockQuestionMapper.insert(msScanbatchPaperBlockQuestion);
    }

    /**
     * @Description 列表
     * @Param [msScanbatchPaperBlockQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.scan.MsScanbatchPaperBlockQuestion>
     **/
    public List<MsScanbatchPaperBlockQuestion> queryList(MsScanbatchPaperBlockQuestion msScanbatchPaperBlockQuestion){
        return msScanbatchPaperBlockQuestionMapper.selectAll();
    }
}
